import { Base, Type } from "igniteui-webcomponents-core";
import { Color } from "igniteui-webcomponents-core";
import { Brush } from "igniteui-webcomponents-core";
import { DomWrapper, DomRenderer } from "igniteui-webcomponents-core";
import { CellModel } from "./CellModel";
import { GridCellBase } from "./GridCellBase";
import { FontInfo } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class ContentCellModelHelper extends Base {
    static $t: Type;
    private static f;
    static g(a: Brush): Color;
    private static c;
    private static e;
    static a(a: DomRenderer, b: CellModel, c: DomWrapper, d: DomWrapper, e: GridCellBase): void;
    static b(a: DomRenderer, b: DomWrapper, c: FontInfo): void;
    static d(a: DomWrapper, b: Brush): void;
}
